%define husky_version 1.9.0
%define smapi_version 2.5.0
%define husky_cvsdate 20060918
%define hptzip_version 0.1.0
%define ver %hptzip_version
%define rel alt1.%husky_cvsdate

Name: libhptzip
Summary: Built-in zip support library for husky project
Version: %ver
Release: %rel
License: GPL
Group: Communications
Requires: ftn
Packager: FTN Development Team <ftn@packages.altlinux.org>

Source0: hptzip.tar.bz2
Patch0: libhptzip-makefile.diff
Patch1: libhptzip-makefile.inc.diff
Patch2: libhptzip-makefile.prg.diff
Patch3: hptzip-alt-unhide.patch
Patch4: hptzip-alt-libz.patch

BuildPreReq: huskybse = %husky_version-%release
BuildPreReq: libhusky-devel = %husky_version-%release
BuildPreReq: zlib-devel

%description
Built-in zip support library for husky project.

%description -l ru_RU.UTF-8
Библитека поддержки формата zip в проекте Husky.

%package devel
Group: Development/C
Summary: Husky project built-in zip support library header files
Requires: %name = %version-%release

%description devel
Husky project built-in zip support library header files

%description -l ru_RU.UTF-8 devel
Заголовочные файлы, необходимые для сборки програм,
использующих библиотеку поддержки формата zip в проекте Husky.

%package devel-static
Group: Development/C
Summary: Husky project built-in zip support static library

%description devel-static
Husky project built-in zip support static library.

%description -l ru_RU.UTF-8 devel-static
Библиотеки, необходимые для статической линковки программ,
использующих библиотеку поддержки формата zip в проекте Husky.

%prep
%setup -q -n hptzip
#%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1

%build
pushd make
%make_build
popd

%install
%__mkdir_p %buildroot%_libdir
pushd make
%make_install PREFIX=%buildroot%_prefix install
%__install -m 0644 ../build/lnx/lib/%name.a %buildroot%_libdir

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc ChangeLog readme.txt
%_libdir/*.so.*

%files devel
%dir %_includedir/hptzip/
%_includedir/hptzip/*.h
%_libdir/*.so

%files devel-static
%_libdir/*.a

%changelog
* Mon Sep 18 2006 Igor Zubkov <icesik@altlinux.org> 0.1.0-alt1.20060918
- 20060901 -> 20060918

* Sat Sep 16 2006 Igor Zubkov <icesik@altlinux.org> 0.1.0-alt1.20060901
- convert spec to UTF-8
- 20050710 -> 20060901
- spec clean

* Sun Jul 31 2005 Igor Zubkov <icesik@altlinux.ru> 0.1.0-alt1.20050710
- update from cvs snapshot 20050710
- add docs

* Mon Jul 04 2005 Igor Zubkov <icesik@altlinux.ru> 0.1.0-alt1.20050604
- update from cvs snapshot 20050604

* Mon Jun 28 2004 Ivan Fedorov <ns@altlinux.ru> 0.1.0-alt1.20040614
- Fixing "Release" tag

* Mon Jun 14 2004 Ivan Fedorov <ns@altlinux.ru> 0.1.0-alt0.20040614
- Updated from cvs
- fixing CFGDIR in huskymak.cfg

* Sat Jun 12 2004 Ivan Fedorov <ns@altlinux.ru> 0.1.0-alt0.20040612
- Updated from cvs

* Mon Jun 07 2004 Ivan Fedorov <ns@altlinux.ru> 0.1.0-alt0.20040607
- Specfile rewritten from scratch
